Anonymous Login
2019-12-12 21:38 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000904v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:39
ReporterKorkonius 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000904: Importing a vCard with no birth day results in beeing unable to edit the imported contact without providing a valid birth day
DescriptionWhen a vCard is imported without a birth day specified will result in beeing unable to edit a contact.

Web2Project reports that the contact has been successfully updated, but none of the changes are stored.

After looking in the MySQL database query log i found that the database responded to the query with the message:
Error Code: 1292. Incorrect date value: '' for column 'contact_birthday' at row 1

I would at least expect the user to be informed of this in some way and not be informed that the contact was updated successfully.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002090

caseydk (administrator)

Fix already applied here: https://github.com/caseysoftware/web2project/commit/d985c6c5221ab867e036703c3c871f7306082e9a

Will be merged back to core for the pending v2.4 release;

~0002113

caseydk (administrator)

Resolved in r2016
+Notes

-Issue History
Date Modified Username Field Change
2011-07-27 03:42 Korkonius New Issue
2011-07-30 14:18 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-07-30 14:19 caseydk Note Added: 0002090
2011-07-30 14:19 caseydk Assigned To => caseydk
2011-07-30 14:19 caseydk Status new => confirmed
2011-08-06 23:09 caseydk Note Added: 0002113
2011-08-06 23:09 caseydk Status confirmed => resolved
2011-08-06 23:09 caseydk Resolution open => fixed
2011-08-16 23:39 caseydk Status resolved => closed
2011-08-16 23:39 caseydk Fixed in Version => 2.4
+Issue History